//==================================================================
//              PU-1201 & KIROBO BODY SAMPLE PROGRAM 5-1
//  SW1を押してプログラムをスタート。
//　白い床の上に書いた黒い線をトレースしてすすむ。
//　光りセンサーの距離が広い場合は、黒い線も太くするとよいでしょう。
//==================================================================
int MOTOR2_PWM = 100;     //左モーター出力割合　0-100%            ==      
int MOTOR1_PWM = 100;     //右モーター出力割合　0-100%            ==
int THRESHOLD  = 700;     //光センサーしきい値  0-1023            ==
//==================================================================
//ライブラリを使用するための命令です////////////////////////////////
#include "elekitKIROBO.h"          //QUICK PROGRAM SETTING FILE1  ==
#include "elekitSETTING.txt"       //QUICK PROGRAM SETTING FILE2  ==
//==================================================================
// 新しく作る変数はここに書きます///////////////////////////////////
int value1;
int value2;

//=================================================================
//                  KIROBO ACTION MAIN PROGRAM
//=================================================================
void actKirobo(){
  BUZZ.M();  BUZZ.M();  BUZZ.M();  BUZZ.H();  //動き出す前にブザーを鳴らす。
  LED.ON();                                   //投光用のLEDをON。
  while(1){    //以下の処理をずっと繰り返す。
    value1 = CHECK.LIGHT(1);    //光センサーの状態をチェックして変数valueに記憶。
    value2 = CHECK.LIGHT(2);
    
    if(value1 == 0 && value2 == 0){         //両方のセンサーが黒い線を検出しているとき
      FWD.L(0);                            //前進する。
    }else if(value1 == 1 && value2 == 0){  //(左側の)センサー２だけが黒い線を検出しているとき
      LFWD.L(0);                           //左旋回する。
    }else if(value1 =- 0 && value2 == 1){  //(右側の)センサー１だけが黒い線を検出しているとき
      RFWD.L(0);                           //右旋回する。
    }else{                                 //両方のセンサーが白い床を検出していたとき
      RSPIN.L(0);
    }
  }
}
//=================================================================
//ライブラリ使用時に使える専用命令の一覧
//  FWD.H/M/L(0 or 1-30000);    1-30000を設定時は、設定時間動作後にブレーキ
// BACK.H/M/L(0 or 1-30000);
// LFWD.H/M/L(0 or 1-30000);
// RFWD.H/M/L(0 or 1-30000);
// LBACK.H/M/L(0 or 1-30000);
// RBACK.H/M/L(0 or 1-30000);
// LSPIN.H/M/L(0 or 1-30000);
// RSPIN.H/M/L(0 or 1-30000);   
// MOT.BRAKE/OFF(0 or 1-30000);
// CHECK.LIGHT(1 or 2);
// CHECK.TOUCH(1 or 2);
// CHECK.SW(1);
// BUZZ.H/M/L();
// LED.ON/OFF();
//=================================================================
